Package com.independentsoft.graph.sites

# Class ColumnDefinitionPropertyName

java.lang.Object
com.independentsoft.graph.sites.ColumnDefinitionPropertyName

public class ColumnDefinitionPropertyName extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `BOOLEAN_COLUMN`
  `static String`
  `CALCULATED_COLUMN`
  `static String`
  `CHOICE_COLUMN`
  `static String`
  `COLUMN_GROUP`
  `static String`
  `CURRENCY_COLUMN`
  `static String`
  `DATE_TIME_COLUMN`
  `static String`
  `DEFAULT_VALUE`
  `static String`
  `DESCRIPTION`
  `static String`
  `DISPLAY_NAME`
  `static String`
  `ENFORCE_UNIQUE_VALUES`
  `static String`
  `GEOLOCATION_COLUMN`
  `static String`
  `HIDDEN`
  `static String`
  `ID`
  `static String`
  `INDEXED`
  `static String`
  `LOOKUP_COLUMN`
  `static String`
  `NAME`
  `static String`
  `NUMBER_COLUMN`
  `static String`
  `PERSON_OR_GROUP_COLUMN`
  `static String`
  `READ_ONLY`
  `static String`
  `REQUIRED`
  `static String`
  `TEXT_COLUMN`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ID

    public static final String ID
    See Also:
      Constant Field Values

  - ### COLUMN_GROUP

    public static final String COLUMN_GROUP
    See Also:
      Constant Field Values

  - ### DESCRIPTION

    public static final String DESCRIPTION
    See Also:
      Constant Field Values

  - ### DISPLAY_NAME

    public static final String DISPLAY_NAME
    See Also:
      Constant Field Values

  - ### ENFORCE_UNIQUE_VALUES

    public static final String ENFORCE_UNIQUE_VALUES
    See Also:
      Constant Field Values

  - ### HIDDEN

    public static final String HIDDEN
    See Also:
      Constant Field Values

  - ### INDEXED

    public static final String INDEXED
    See Also:
      Constant Field Values

  - ### NAME

    public static final String NAME
    See Also:
      Constant Field Values

  - ### READ_ONLY

    public static final String READ_ONLY
    See Also:
      Constant Field Values

  - ### REQUIRED

    public static final String REQUIRED
    See Also:
      Constant Field Values

  - ### DEFAULT_VALUE

    public static final String DEFAULT_VALUE
    See Also:
      Constant Field Values

  - ### BOOLEAN_COLUMN

    public static final String BOOLEAN_COLUMN
    See Also:
      Constant Field Values

  - ### CALCULATED_COLUMN

    public static final String CALCULATED_COLUMN
    See Also:
      Constant Field Values

  - ### CHOICE_COLUMN

    public static final String CHOICE_COLUMN
    See Also:
      Constant Field Values

  - ### CURRENCY_COLUMN

    public static final String CURRENCY_COLUMN
    See Also:
      Constant Field Values

  - ### DATE_TIME_COLUMN

    public static final String DATE_TIME_COLUMN
    See Also:
      Constant Field Values

  - ### GEOLOCATION_COLUMN

    public static final String GEOLOCATION_COLUMN
    See Also:
      Constant Field Values

  - ### LOOKUP_COLUMN

    public static final String LOOKUP_COLUMN
    See Also:
      Constant Field Values

  - ### NUMBER_COLUMN

    public static final String NUMBER_COLUMN
    See Also:
      Constant Field Values

  - ### PERSON_OR_GROUP_COLUMN

    public static final String PERSON_OR_GROUP_COLUMN
    See Also:
      Constant Field Values

  - ### TEXT_COLUMN

    public static final String TEXT_COLUMN
    See Also:
      Constant Field Values